Index: ow/static/js/ow.js
===================================================================
--- ow/static/js/ow.js	(revision 5cf5787d1c21f5eedd38c23d588cc1906e4bef1d)
+++ ow/static/js/ow.js	(revision 6993c72dd26b4d7afd587ce77eb4d08ed1347caf)
@@ -148,5 +148,6 @@
          */
         var chart = d3.select(chart_selector),
-            margin = {top: 20, right: 20, bottom: 30, left: 50},
+            margin = {top: 17, right: 0, bottom: 20, left: 0},
+
             width = +chart.attr("width") - margin.left - margin.right,
             height = +chart.attr("height") - margin.top - margin.bottom,
@@ -211,6 +212,13 @@
 	        })
 	        .attr("y", function (d) {
-                    return y(Number(d.distance) + 5);
-	        })
+                    /*
+                      Get the value for the current bar, then get the maximum
+                      value to be displayed in the bar, which is used to
+                      calculate the proper position of the label for this bar,
+                      relatively to its height (1% above the bar)
+                     */
+                    var max = y.domain()[1];
+                    return y(d.distance + y.domain()[1] * 0.02);
+            })
                 .text(function(d) {
                     if (Number(d.distance) > 0) {
Index: ow/views/user.py
===================================================================
--- ow/views/user.py	(revision 5cf5787d1c21f5eedd38c23d588cc1906e4bef1d)
+++ ow/views/user.py	(revision 6993c72dd26b4d7afd587ce77eb4d08ed1347caf)
@@ -331,6 +331,5 @@
                 query={'year': str(week[0]),
                        'month': str(week[1]),
-                       'week': str(week[2])},
-                anchor='workouts')
+                       'week': str(week[2])})
         }
         json_stats.append(week_stats)
